Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class LabelEndFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.LabelEndFunction

All Implemented Interfaces:
  Function

public class LabelEndFunction
extends FunctionBase

Class modelling the label-end Property Value function. See Sec. 5.10.4 of the XSL-FO spec.

Constructor Summary
`LabelEndFunction()`

Method Summary
`Property` | `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`int` | `nbArgs()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getPercentBase, padArgsWithPropertyName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LabelEndFunction

    public LabelEndFunction()

Method Detail

### nbArgs

    public int nbArgs()

  Returns:
    0 (the number of arguments required for the label-end function)

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Description copied from interface: `Function`
  Evaluate the function

  Parameters:
    `args` - array of arguments for the function (none are needed, but required for the Function interface)
    `pInfo` - PropertyInfo object for the function
  Returns:
    the calculated label-end value for the list
  Throws:
    `PropertyException` - if called from outside of an fo:list-item

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.